> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get the address associated with a specific Cardano transaction output by transaction hash and output index.

# Address by transaction output reference



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /transactions/{tx_hash}/outputs/{index}/address
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /transactions/{tx_hash}/outputs/{index}/address:
    get:
      tags:
        - Transactions
      summary: Address by transaction output reference
      description: >-
        Returns the address which was specified in the given transaction output.


        Note that if the transaction is invalid this will only return a result
        for the collateral return output, should one be present in the
        transaction. If the transaction is valid it will not return a result for
        the collateral return output.
      operationId: address_by_txo
      parameters:
        - name: tx_hash
          in: path
          description: Transaction Hash
          required: true
          schema:
            type: string
        - name: index
          in: path
          description: Output Index
          required: true
          schema:
            type: integer
            minimum: 0
      responses:
        '200':
          description: Get an address via a transaction output reference
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedAddress'
              example:
                data: >-
                  addr_test1wzdtu0djc76qyqak9cj239udezj2544nyk3ksmfqvaksv7c9xanpg
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    8cd56aae0fc966903b2b215a477d57e7b3f4a225af3eeea4b62be724c9fa1195
                  block_slot: 32295075
        '400':
          description: Malformed query parameters
        '404':
          description: No results found
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedAddress:
      type: object
      description: >-
        Timestamped response. Returns the endpoint response data along with the
        chain-tip of the indexer, which details at which point in the chain's
        history the data was correct as-of.
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/Address'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
    Address:
      type: string
      description: Bech32-encoded Cardano Address
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````